"use strict";var _a,_b;Object.defineProperty(exports,"__esModule",{value:!0}),exports.QualifiedFunctionBase=exports.FunctionBase=void 0;const jsiiDeprecationWarnings=require("../../.warnings.jsii.js"),JSII_RTTI_SYMBOL_1=Symbol.for("jsii.rtti"),iam=require("../../aws-iam"),core_1=require("../../core"),event_invoke_config_1=require("./event-invoke-config"),event_source_mapping_1=require("./event-source-mapping"),lambda_generated_1=require("./lambda.generated"),util_1=require("./util");class FunctionBase extends core_1.Resource{constructor(){super(...arguments);this._invocationGrants={}}addPermission(id,permission){var _c,_d,_e,_f,_g;if(jsiiDeprecationWarnings.aws_cdk_lib_aws_lambda_Permission(permission),!this.canCreatePermissions)return;const principal=this.parsePermissionPrincipal(permission.principal),{sourceAccount,sourceArn}=(_c=this.parseConditions(permission.principal))!==null&&_c!==void 0?_c:{},action=(_d=permission.action)!==null&&_d!==void 0?_d:"lambda:InvokeFunction",scope=(_e=permission.scope)!==null&&_e!==void 0?_e:this;new lambda_generated_1.CfnPermission(scope,id,{action,principal,functionName:this.functionArn,eventSourceToken:permission.eventSourceToken,sourceAccount:(_f=permission.sourceAccount)!==null&&_f!==void 0?_f:sourceAccount,sourceArn:(_g=permission.sourceArn)!==null&&_g!==void 0?_g:sourceArn})}addToRolePolicy(statement){jsiiDeprecationWarnings.aws_cdk_lib_aws_iam_PolicyStatement(statement),!!this.role&&this.role.addToPrincipalPolicy(statement)}get connections(){if(!this._connections)throw new Error('Only VPC-associated Lambda Functions have security groups to manage. Supply the "vpc" parameter when creating the Lambda, or "securityGroupId" when importing it.');return this._connections}get latestVersion(){return this._latestVersion||(this._latestVersion=new LatestVersion(this)),this._latestVersion}get isBoundToVpc(){return!!this._connections}addEventSourceMapping(id,options){return jsiiDeprecationWarnings.aws_cdk_lib_aws_lambda_EventSourceMappingOptions(options),new event_source_mapping_1.EventSourceMapping(this,id,{target:this,...options})}grantInvoke(grantee){jsiiDeprecationWarnings.aws_cdk_lib_aws_iam_IGrantable(grantee);const identifier=`Invoke${grantee.grantPrincipal}`;let grant=this._invocationGrants[identifier];return grant||(grant=iam.Grant.addToPrincipalOrResource({grantee,actions:["lambda:InvokeFunction"],resourceArns:[this.functionArn],resource:{addToResourcePolicy:_statement=>{this.addPermission(identifier,{principal:grantee.grantPrincipal,action:"lambda:InvokeFunction"});const permissionNode=this._functionNode().tryFindChild(identifier);if(!permissionNode)throw new Error("Cannot modify permission to lambda function. Function is either imported or $LATEST version. If the function is imported from the same account use `fromFunctionAttributes()` API with the `sameEnvironment` flag.");return{statementAdded:!0,policyDependable:permissionNode}},node:this.node,stack:this.stack,env:this.env,applyRemovalPolicy:this.applyRemovalPolicy}}),this._invocationGrants[identifier]=grant),grant}addEventSource(source){jsiiDeprecationWarnings.aws_cdk_lib_aws_lambda_IEventSource(source),source.bind(this)}configureAsyncInvoke(options){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_lambda_EventInvokeConfigOptions(options),this.node.tryFindChild("EventInvokeConfig")!==void 0)throw new Error(`An EventInvokeConfig has already been configured for the function at ${this.node.path}`);new event_invoke_config_1.EventInvokeConfig(this,"EventInvokeConfig",{function:this,...options})}_functionNode(){return this.node}_isStackAccount(){return core_1.Token.isUnresolved(this.stack.account)||core_1.Token.isUnresolved(this.functionArn)?!1:this.stack.splitArn(this.functionArn,core_1.ArnFormat.SLASH_RESOURCE_NAME).account===this.stack.account}parsePermissionPrincipal(principal){if("wrapped"in principal&&(principal=principal.wrapped),"accountId"in principal)return principal.accountId;if("service"in principal)return principal.service;if("arn"in principal)return principal.arn;const json=principal.policyFragment.principalJson;if(Object.keys(principal.policyFragment.conditions).length===0&&json.AWS){if(typeof json.AWS=="string")return json.AWS;if(Array.isArray(json.AWS)&&json.AWS.length===1&&typeof json.AWS[0]=="string")return json.AWS[0]}throw new Error(`Invalid principal type for Lambda permission statement: ${principal.constructor.name}. Supported: AccountPrincipal, ArnPrincipal, ServicePrincipal`)}parseConditions(principal){if(this.isPrincipalWithConditions(principal)){const conditions=principal.policyFragment.conditions,conditionPairs=util_1.flatMap(Object.entries(conditions),([operator,conditionObjs])=>Object.keys(conditionObjs).map(key=>({operator,key}))),supportedPrincipalConditions=[{operator:"ArnLike",key:"aws:SourceArn"},{operator:"StringEquals",key:"aws:SourceAccount"}],unsupportedConditions=conditionPairs.filter(condition=>!supportedPrincipalConditions.some(supportedCondition=>supportedCondition.operator===condition.operator&&supportedCondition.key===condition.key));if(unsupportedConditions.length==0)return{sourceAccount:conditions.StringEquals["aws:SourceAccount"],sourceArn:conditions.ArnLike["aws:SourceArn"]};throw new Error(`PrincipalWithConditions had unsupported conditions for Lambda permission statement: ${JSON.stringify(unsupportedConditions)}. Supported operator/condition pairs: ${JSON.stringify(supportedPrincipalConditions)}`)}else return null}isPrincipalWithConditions(principal){return"conditions"in principal}}exports.FunctionBase=FunctionBase,_a=JSII_RTTI_SYMBOL_1,FunctionBase[_a]={fqn:"aws-cdk-lib.aws_lambda.FunctionBase",version:"2.8.0"};class QualifiedFunctionBase extends FunctionBase{constructor(){super(...arguments);this.permissionsNode=this.node}get latestVersion(){return this.lambda.latestVersion}configureAsyncInvoke(options){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_lambda_EventInvokeConfigOptions(options),this.node.tryFindChild("EventInvokeConfig")!==void 0)throw new Error(`An EventInvokeConfig has already been configured for the qualified function at ${this.node.path}`);new event_invoke_config_1.EventInvokeConfig(this,"EventInvokeConfig",{function:this.lambda,qualifier:this.qualifier,...options})}}exports.QualifiedFunctionBase=QualifiedFunctionBase,_b=JSII_RTTI_SYMBOL_1,QualifiedFunctionBase[_b]={fqn:"aws-cdk-lib.aws_lambda.QualifiedFunctionBase",version:"2.8.0"};class LatestVersion extends FunctionBase{constructor(lambda){super(lambda,"$LATEST");this.version="$LATEST",this.permissionsNode=this.node,this.canCreatePermissions=!1,this.lambda=lambda}get functionArn(){return`${this.lambda.functionArn}:${this.version}`}get functionName(){return`${this.lambda.functionName}:${this.version}`}get architecture(){return this.lambda.architecture}get grantPrincipal(){return this.lambda.grantPrincipal}get latestVersion(){return this}get role(){return this.lambda.role}addAlias(aliasName,options={}){return util_1.addAlias(this,this,aliasName,options)}get edgeArn(){throw new Error("$LATEST function version cannot be used for Lambda@Edge")}}
//# sourceMappingURL=function-base.js.map
